Subject: [core] Closing out remaining tickets for core-coap

From: Carsten Bormann <[email-masked]>
Date: Thu, 6 Dec 2012 01:55:22 +0100

We need to clear out the remaining tickets open on core-coap.

There has been little recent discussion.  
This is understandable as they are mostly rather inconsequential in the big picture of things, but we need to make decisions for coap-13.
Obviously, all these decisions will then be subject to the next Working-Group last-call, but I'd like to go in there with some well-thought-out input.

#262: I expect that we'll split out IPsec as described in the ticket.
(I just did something similar for #259, by the way).

#265: This turns out to be more editorial work than I thought.
I do expect that we will go with enabling the use of ETag in all responses where a good rule can be made to explain what representation is meant.

#247: Go with Internetwork Control Block and link-local/site-local, see
https://www.ietf.org/mail-archive/web/core/current/msg03801.html

#255: It is probably premature to define this when at the same time we have said that CoAP isn't tied to DNS at all.
Whatever we do here will be taken apart and put together again by security people who are likely thinking in DNS terms.
Catch-22.  Input would be welcome.

#257: as proposed

#260: as discussed in Atlanta

#261: ongoing, but there will be some 60+ SHOULDs remaining.  Many of these do actually define the reasons for potential exceptions.
Many others are in somewhat more flexible parts of the document, e.g. in the cross-proxying section.  So I think this order of magnitude is justifiable.

#263: I'd rather replace 8.2.2 with a "for further study".  We don't know how to do this properly right now.

#264: How about defining a "diagnostic payload" as that in an error message that has payload but no Content-Format?
So if a server does want to provide some HATEOAS payload for an error response, it will need to put in a Content-Format.
Content-Format would remain optional for 2.xx responses.

Please shout if any of this is the wrong way to go.

Grüße, Carsten